import 'package:feed_plugin/models/story/storyModel.dart';
import 'package:flutter/cupertino.dart';

enum MediaType {
  image,
  video,
  text,
}

class StoryViewModel {
  final int numPage;
  final String url;
  final String text;
  final MediaType media;
  final Duration duration;
  final StoryModel story;

  const StoryViewModel({
    required this.story,
    required this.numPage,
    required this.url,
    required this.text,
    required this.media,
    required this.duration,
  });
}
